<nav class="navbar is-fixed-top is-primary" role="navigation" aria-label="main navigation">


  <div class="navbar-brand">
    <a class="is-font-white navbar-item is-size-4 " routerLink="/home">
        <img [src]="'assets/images/logos/logo3.png'" width="48" alt="image">
      <b>Git Supervisor</b>
    </a>

    <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="mainNavbar">
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
    </a>
  </div>


  <div id="mainNavbar" class="navbar-menu">

    <div class="navbar-start ml-4">
      <a *ngIf="isAuthenticated()" class="navbar-item" routerLink="/dashboard">
        Dashboard
      </a>
    </div>

    <div class="navbar-end">
      <div class="navbar-item">
        <div class="buttons">

          <a class="button is-white is-outlined" routerLink="/tutorial">
            <span class="icon"><i class="fas fa-book"></i></span>
            <span>Get Started</span>
          </a>

          <a class="button is-white is-outlined" [href]="gitlabUrl" target="_blank">
            <span class="icon"><i class="fab fa-gitlab"></i></span>
            <span>View on Gitlab</span>
          </a>

          <a class="button is-white is-outlined" [href]="apiDocUrl" target="_blank">
            <span class="icon"><i class="fas fa-book"></i></span>
            <span>API Doc</span>
          </a>

          <a *ngIf="isAuthenticated()" class="button" (click)="logout()">
            <span class="icon">
              <i class="fas fa-sign-out-alt has-text-primary"></i>
            </span>
            <span>Log out</span>

          </a>
        </div>
      </div>

    </div>

  </div>
</nav>
